# Installation instructions - Snoopy Command Logger

There are five main options for installing Snoopy:

1. *From your Linux distribution repositories:*
   Your distribition maintainers may already have packaged Snoopy for you.
   Simply try the install command (i.e. `apt install snoopy` on Ubuntu) and keep your fingers crossed.
   Package may be named slightly differently, though, like `libsnoopy`.

2. *From upstream package repositories:*
   Snoopy maintainers provide binary package repositories for certain Linux distributions.
   Here is [a guide for installing Snoopy from upstream package repositories](install-from-repo.md).

3. *Automated build from release tarballs:*
   An install script is provided that builds and installs Snoopy from source.
   Here is [a guide for building from source](install-from-source.md).

3. *Manual build from release tarballs:*
   Build and install directly from released sources on your own.
   The same [guide for building from source](install-from-source.md) contains relevant information.

4. *Manual build from git repository:*
   This method is essentially almost the same as installing (manually) from release tarballs.
   Therefore, [the guide for building from source](install-from-source.md) also contains bits related to building directly from a git repository clone.
